nodejs6-6.14.3-12.1.x86_64.rpm


Advertisement

Description

nodejs6 - Evented I/O for V8 JavaScript

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name nodejs6
Package version 6.14.3
Package release 12.1
Package architecture x86_64
Package type rpm
Installed size 16.80 MB
Download size 4.37 MB
Official Mirror ftp.gwdg.de
Node.js is a JavaScript runtime built on Chrome's V8 JavaScript engine.
Node.js uses an event-driven, non-blocking I/O model that makes it
lightweight and efficient. Node.js' package ecosystem, npm, is the largest
ecosystem of open source libraries in the world.

Alternatives

Package Version Architecture Repository
nodejs6-6.14.1-9.2.x86_64.rpm 6.14.1 x86_64 openSUSE Update Oss
nodejs6-6.12.2-6.1.x86_64.rpm 6.12.2 x86_64 openSUSE Update Oss
nodejs6-6.11.1-3.1.x86_64.rpm 6.11.1 x86_64 openSUSE Update Oss
nodejs6-6.9.5-1.2.x86_64.rpm 6.9.5 x86_64 openSUSE Oss
nodejs6 - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libicui18n.so.52.1()(64bit) -
libicuuc.so.52.1()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.1.0.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libz.so.1()(64bit) -
nodejs-common -
update-alternatives -

Provides

Name Value
nodejs = 6.14.3
nodejs(abi) = 6.0
nodejs(engine) = 6.14.3
nodejs6 = 6.14.3-12.1
nodejs6(x86-64) = 6.14.3-12.1

Download

Type URL
Binary Package nodejs6-6.14.3-12.1.x86_64.rpm
Source Package nodejs6-6.14.3-12.1.src.rpm

Install Howto

Install nodejs6 rpm package:

# zypper install nodejs6

Files

Path
/etc/alternatives/node-default
/etc/alternatives/node.1.gz
/usr/bin/node-default
/usr/bin/node6
/usr/lib64/node_modules/
/usr/share/doc/packages/nodejs6/AUTHORS
/usr/share/doc/packages/nodejs6/BUILDING.md
/usr/share/doc/packages/nodejs6/CHANGELOG.md
/usr/share/doc/packages/nodejs6/CODE_OF_CONDUCT.md
/usr/share/doc/packages/nodejs6/COLLABORATOR_GUIDE.md
/usr/share/doc/packages/nodejs6/CONTRIBUTING.md
/usr/share/doc/packages/nodejs6/GOVERNANCE.md
/usr/share/doc/packages/nodejs6/README.md
/usr/share/doc/packages/nodejs6/gdbinit
/usr/share/licenses/
/usr/share/licenses/nodejs6/LICENSE
/usr/share/man/man1/node.1.gz
/usr/share/man/man1/node6.1.gz

Changelog

2018-06-14 - adam.majer@suse.de
- New upstream LTS release 6.14.3:
* buffer: Fixes Denial of Service vulnerability where calling
Buffer.fill() could hang (CVE-2018-7167, bsc#1097375)
2018-05-24 - adam.majer@suse.de
- env_shebang.patch: use absolute paths in executable shebang lines
- versioned.patch: updated to move shebang modifications to above
patch.
2018-05-11 - adam.majer@suse.de
- New upstream LTS release 6.14.2:
* n-api: n-api has been backported to v6.x.
- icu_61_namespacefix.patch: Fix building with ICU61.1 (bsc#1091764)
- versioned.patch: rebased
2018-04-05 - adam.majer@suse.de
- Install license with %license, not %doc (bsc#1082318)
2018-04-04 - adam.majer@suse.de
- Fix some node-gyp permissions
2018-04-03 - adam.majer@suse.de
- New upstream LTS release 6.14.1:
* Security fixes:
+ Fix for inspector DNS rebinding vulnerability
(bsc#1087463, CVE-2018-7160)
+ Fix for 'path' module regular expression denial of service
(bsc#1087459, CVE-2018-7158)
+ Reject spaces in HTTP Content-Length header values
(bsc#1087453, CVE-2018-7159)
* Upgrade to OpenSSL 1.0.2o
* deps: upgrade http-parser to v2.8.0
2018-03-22 - adam.majer@suse.de
- New upstream LTS release 6.13.1:
* http,tls: better support for IPv6 addresses
* console: added console.count() and console.clear()
* crypto:
+ expose ECDH class
+ added cypto.randomFill() and crypto.randomFillSync()
+ warn on invalid authentication tag length
* deps: upgrade libuv to 1.16.1
* dgram: added socket.setMulticastInterface()
* http: add agent.keepSocketAlive and agent.reuseSocket as to
allow overridable keep-alive behavior of Agent
* lib: return this from net.Socket.end()
* module: add builtinModules api that provides list of all
builtin modules in Node
* net: return this from getConnections()
* promises: more robust stringification for unhandled rejections
* repl: improve require() autocompletion
* src:
+ add openssl-system-ca-path configure option
+ add --use-bundled-ca --use-openssl-ca check
+ add process.ppid
* tls: accept lookup option for tls.connect()
* tools,build: a new macOS installer!
* url: WHATWG URL api support
* util: add %i and %f formatting specifiers
- remove any old manpage files in %pre from before update-alternatives
were used to manage symlinks to these manpages.
2018-02-13 - adam.majer@suse.de
- Add Recommends and BuildRequire on python2 for npm. node-gyp
requires this old version of python for now. This is only needed
for binary modules.
2018-01-30 - ro@suse.de
- even on recent codestreams there is no binutils gold on s390
only on s390x
2018-01-09 - adam.majer@suse.de
- New upstream LTS release 6.12.3:
* v8: profiler-related fixes
* mostly documentation and test related changes
- nodejs-sle11-python26-check_output.patch: refreshed

See Also

Package Description
nodejs6-devel-6.11.1-3.1.x86_64.rpm Files needed for development of NodeJS platforms
nodejs6-devel-6.12.2-6.1.x86_64.rpm Files needed for development of NodeJS platforms
nodejs6-devel-6.14.1-9.2.x86_64.rpm Files needed for development of NodeJS platforms
nodejs6-devel-6.14.3-12.1.x86_64.rpm Files needed for development of NodeJS platforms
nodejs6-docs-6.11.1-3.1.noarch.rpm Node.js API documentation
nodejs6-docs-6.12.2-6.1.noarch.rpm Node.js API documentation
nodejs6-docs-6.14.1-9.2.noarch.rpm Node.js API documentation
nodejs6-docs-6.14.3-12.1.noarch.rpm Node.js API documentation
npm4-4.8.4-8.1.x86_64.rpm Package manager for Node.js
npm4-4.8.7-11.1.x86_64.rpm Package manager for Node.js
npm4-4.9.1-14.1.x86_64.rpm Package manager for Node.js
npm6-6.11.1-3.1.x86_64.rpm Package manager for Node.js
npm6-6.12.2-6.1.x86_64.rpm Package manager for Node.js
npm6-6.14.1-9.2.x86_64.rpm Package manager for Node.js
npm6-6.14.3-12.1.x86_64.rpm Package manager for Node.js
Advertisement
Advertisement